# Uses of Interface
org.eclipse.jdt.ui.jarpackager.IManifestProvider

Packages that use IManifestProvider
Package
Description
org.eclipse.jdt.ui.jarpackager
Provides classes and interfaces to generate a JAR file.

## Uses of IManifestProvider in org.eclipse.jdt.ui.jarpackager

Methods in org.eclipse.jdt.ui.jarpackager that return IManifestProvider
Modifier and Type
Method
Description
`IManifestProvider`
IJarBuilder.`getManifestProvider()`
Returns the manifest provider to build the manifest
`IManifestProvider`
JarPackageData.`getManifestProvider()`
Gets the manifest provider for this JAR package.
Methods in org.eclipse.jdt.ui.jarpackager with parameters of type IManifestProvider
Modifier and Type
Method
Description
`void`
JarPackageData.`setManifestProvider(IManifestProvider manifestProvider)`
Sets the manifest provider.